ListContractCollections
curl --request POST \
--url https://metadata.sequence.app/rpc/Collections/ListContractCollections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collectionId": 819,
"projectId": 30957
}
'import requests
url = "https://metadata.sequence.app/rpc/Collections/ListContractCollections"
payload = {
"collectionId": 819,
"projectId": 30957
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({collectionId: 819, projectId: 30957})
};
fetch('https://metadata.sequence.app/rpc/Collections/ListContractCollections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contractCollections": [
{
"id": 370,
"chainId": 80002,
"contractAddress": "0x70a2177079877e4aae639d1abb29ffa537b94970",
"collectionId": 819
}
],
"collections": [
{
"id": 819,
"projectId": 30957,
"metadata": {
"name": "Placeholders",
"description": "Placeholders collection",
"image": "https://metadata.sequence.app/projects/30957/collections/819/image.png"
},
"private": false,
"createdAt": "2024-10-03T18:46:15.987375Z",
"updatedAt": "2024-10-03T18:46:18.25727Z"
}
],
"page": {
"pageSize": 30,
"more": false
}
}{
"error": "WebrpcEndpoint",
"code": 0,
"msg": "endpoint error",
"status": 400,
"cause": "<string>"
}{
"error": "WebrpcBadResponse",
"code": -5,
"msg": "bad response",
"status": 500,
"cause": "<string>"
}シークレット
ListContractCollections
POST
/
rpc
/
Collections
/
ListContractCollections
ListContractCollections
承認
Secret JWT token for authenticating requests obtained from Sequence Builder - should not be exposed publicly.
このページは役に立ちましたか?
⌘I